6.0.0-git
2019-03-21

[#6530] Share editor: Fix changing of owner permissions
Summary Share editor: Fix changing of owner permissions
Queue Horde Base
Queue Version HEAD
Type Bug
State Resolved
Priority 1. Low
Owners chuck (at) horde (dot) org
Requester thomas.jarosch (at) intra2net (dot) com
Created 2008-03-28 (4010 days ago)
Due
Updated 2008-04-17 (3990 days ago)
Assigned 2008-03-29 (4009 days ago)
Resolved 2008-04-17 (3990 days ago)
Milestone
Patch No

History
2008-04-17 03:21:47 Chuck Hagenbuch Comment #4
Assigned to Chuck Hagenbuch
State ⇒ Resolved
Reply to this comment
I don't know - so I removed them. :)
2008-03-31 16:10:15 thomas (dot) jarosch (at) intra2net (dot) com Comment #3 Reply to this comment
Actually the owner really shouldn't even have the checkboxes, as far
as I know, since the owner of the item by definition can do whatever
to it...
Yeah, I've removed the HTML block for that anyway on my installation 
as Kolab doesn't support chaning the owner of a share (=IMAP folder).



If the Auth backend doesn't have the "list" capability, it shows a 
free text entry field and the checbboxes. Why are the checkboxes there 
in the first place?


2008-03-29 04:15:46 Chuck Hagenbuch Comment #2
State ⇒ Feedback
Reply to this comment
Actually the owner really shouldn't even have the checkboxes, as far 
as I know, since the owner of the item by definition can do whatever 
to it...
2008-03-28 14:33:50 thomas (dot) jarosch (at) intra2net (dot) com Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ Share editor: Fix changing of owner permissions
Queue ⇒ Horde Base
Milestone ⇒
Patch ⇒ No
New Attachment: horde-edit-owner-permissions.patch Download
Reply to this comment
Hello together,



currently it's only possible to change the permissions for the owner 
of a share

if the owner itself gets changed. Attached patch fixes the issue.



Cheers,

Thomas


Saved Queries